git.net

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: [VOTE] Airflow 1.10.0rc3


-1(binding) from me.

Installed with:

AIRFLOW_GPL_UNIDECODE=yes pip install 'https://dist.apache.org/repos/dist/dev/incubator/airflow/1.10.0rc3/apache-airflow-1.10.0rc3+incubating-bin.tar.gz#egg=apache-airflow[emr, s3, crypto]>=1.10'

Install went fine.

Our DAGs that use SparkSubmitOperator are now failing as there is now a hard dependency on the Kubernetes client libs, but the `emr` group doesn't mention this.

Introduced in https://github.com/apache/incubator-airflow/pull/3112 <https://github.com/apache/incubator-airflow/pull/3112>

I see two options for this - either conditionally enable k8s:// support if the import works, or (less preferred) add kube-client to the emr deps (which I like less)

Sorry - this is the first time I've been able to test it.

I will install this dep manually and continue testing.

-ash

(Normally no time at home due to new baby, but I got a standing desk, and a carrier meaning she can sleep on me and I can use my laptop. Win!)



> On 4 Aug 2018, at 22:32, Bolke de Bruin <bdbruin@xxxxxxxxx> wrote:
> 
> Bump. 
> 
> Committers please cast your vote. 
> 
> B.
> 
> Sent from my iPhone
> 
>> On 3 Aug 2018, at 13:23, Driesprong, Fokko <fokko@xxxxxxxxxxxxxx> wrote:
>> 
>> +1 Binding
>> 
>> Installed it using: SLUGIFY_USES_TEXT_UNIDECODE=yes pip install
>> https://dist.apache.org/repos/dist/dev/incubator/airflow/1.10.0rc3/apache-airflow-1.10.0rc3+incubating-bin.tar.gz
>> 
>> Cheers, Fokko
>> 
>> 2018-08-03 9:47 GMT+02:00 Bolke de Bruin <bdbruin@xxxxxxxxx>:
>> 
>>> Hey all,
>>> 
>>> I have cut Airflow 1.10.0 RC3. This email is calling a vote on the release,
>>> which will last for 72 hours. Consider this my (binding) +1.
>>> 
>>> Airflow 1.10.0 RC 3 is available at:
>>> 
>>> https://dist.apache.org/repos/dist/dev/incubator/airflow/1.10.0rc3/ <
>>> https://dist.apache.org/repos/dist/dev/incubator/airflow/1.10.0rc3/>
>>> 
>>> apache-airflow-1.10.0rc3+incubating-source.tar.gz is a source release that
>>> comes with INSTALL instructions.
>>> apache-airflow-1.10.0rc3+incubating-bin.tar.gz is the binary Python
>>> "sdist"
>>> release.
>>> 
>>> Public keys are available at:
>>> 
>>> https://dist.apache.org/repos/dist/release/incubator/airflow/ <
>>> https://dist.apache.org/repos/dist/release/incubator/airflow/>
>>> 
>>> The amount of JIRAs fixed is over 700. Please have a look at the
>>> changelog.
>>> Since RC2 the following has been fixed:
>>> 
>>> * [AIRFLOW-2817] Force explicit choice on GPL dependency
>>> * [AIRFLOW-2716] Replace async and await py3.7 keywords
>>> * [AIRFLOW-2810] Fix typo in Xcom model timestamp
>>> 
>>> Please note that the version number excludes the `rcX` string as well
>>> as the "+incubating" string, so it's now simply 1.10.0. This will allow us
>>> to rename the artifact without modifying the artifact checksums when we
>>> actually release.
>>> 
>>> WARNING: Due to licensing requirements you will need to set
>>> SLUGIFY_USES_TEXT_UNIDECODE=yes in your environment when
>>> installing or upgrading. We will try to remove this requirement for the
>>> next release.
>>> 
>>> Cheers,
>>> Bolke



( ! ) Warning: include(msgfooter.php): failed to open stream: No such file or directory in /var/www/git/apache-airflow-development/msg04106.html on line 155
Call Stack
#TimeMemoryFunctionLocation
10.0015358472{main}( ).../msg04106.html:0

( ! ) Warning: include(): Failed opening 'msgfooter.php' for inclusion (include_path='.:/var/www/git') in /var/www/git/apache-airflow-development/msg04106.html on line 155
Call Stack
#TimeMemoryFunctionLocation
10.0015358472{main}( ).../msg04106.html:0